#! /bin/csh -f
#
  set ztest = `which tek2ps`
  if ( $#ztest != 1 ) then
     echo " ?? sample_run.csh: 'tek2ps' program not found in PATH:"
     which tek2ps
     exit 1
  endif

  echo " nubeam_test script running (expect ~35 seconds on a 1.7GHz P4)."

  rm -f foo.ps
  rm -f foo.txt

  setenv PLOT "foo.plt-ps"

  time nubeam_test @sample_run > foo.txt

  mv foo.plt_ps foo.ps
  rm -f sample_fbm_ptcl.cdf
  echo " SGLIB plot output in foo.ps"
  echo "    (reference plots in sample_run_output.ps)"
  echo " text output in foo.txt (compare to reference: sample_run_output.txt)"
